<template>
  <section>
    <base-card>
      <h2>Register as a service now!</h2>
      <service-form @save-data="saveData"></service-form>
    </base-card>
  </section>
</template>

<script>
import ServiceForm from '../../components/services/ServiceForm.vue';

export default {
  components: {
    ServiceForm,
  },
  methods: {
    saveData(data) {
      this.$store.dispatch('services/registerService', data);
      this.$router.replace('/services');
    }
  }
};
</script>